Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class ExpressionErrorFilterFactory

    java.lang.Object
      org.mule.module.ibeans.spi.ExpressionErrorFilterFactory

All Implemented Interfaces:
  org.ibeans.spi.ErrorFilterFactory

    public class ExpressionErrorFilterFactory

extends Object
implements org.ibeans.spi.ErrorFilterFactory

An expression filter factory that can build filters for the following annotations `ExpressionErrorFilter`, `XmlErrorFilter`, `AtomErrorFilter`, `RssErrorFilter`, and `JsonErrorFilter`

See Also:
  `ErrorFilter`

Nested Class Summary

Nested classes/interfaces inherited from interface org.ibeans.spi.ErrorFilterFactory
`org.ibeans.spi.ErrorFilterFactory.ErrorFilterHolder`

Constructor Summary
`ExpressionErrorFilterFactory(MuleContext muleContext)`

Method Summary
`boolean` | `isSupported(Annotation annotation)`
`org.ibeans.spi.ErrorFilterFactory.ErrorFilterHolder` | `parse(Annotation anno)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionErrorFilterFactory

    public ExpressionErrorFilterFactory(MuleContext muleContext)

Method Detail

### isSupported

    public boolean isSupported(Annotation annotation)

  Specified by:
    `isSupported` in interface `org.ibeans.spi.ErrorFilterFactory`

### parse

    public org.ibeans.spi.ErrorFilterFactory.ErrorFilterHolder parse(Annotation anno)
                                                              throws org.ibeans.api.IBeansException

  Specified by:
    `parse` in interface `org.ibeans.spi.ErrorFilterFactory`
  Throws:
    `org.ibeans.api.IBeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.